﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class GoalState extends FlxState
    {
        
		[Embed(source = "../../data/mus/title.mp3")] public static var Mus1:Class;
		[Embed(source = "../../data/mus/title2.mp3")] public static var Mus2:Class;
		[Embed(source = "../../data/mus/title3.mp3")] public static var Mus3:Class;
		[Embed(source = "../../data/mus/title4.mp3")] public static var Mus4:Class;
		[Embed(source = "../../data/mus/title5.mp3")] public static var Mus5:Class;
		[Embed(source = "../../data/mus/blip.mp3")] public static var Blip:Class;
		[Embed(source = "../../data/cursor.png")] public static var ImgCursor:Class;

		private var bClosing:Boolean;
		
        override public function GoalState():void
        {

			FlxG.setCursor(MenuState.ImgCursor);
			bClosing = false;
			this.add(new FlxText(0, 10, FlxG.width, 100, "modernauts", 0xffffffff, null, 23, "center"));
			var t:FlxText;
			t = new FlxText(15, 60, FlxG.width, 200, "", 0xffffffff, null, 20, "left");
			t.setText("The goal is to get to the star.", true);
			this.add(t);
			this.add(new FlxButton(
				FlxG.width / 2 - 80, FlxG.height / 2 + 10,
				new FlxSprite(null,0,0,false,false,160,25,0xffffffff),
				onClick,
				new FlxSprite(null, 0, 0, false, false, 160, 25, 0x000000), 
				new FlxText(0, 0, 160, 25, "Understood!", 0xff000000, null, 18, "center"),
				new FlxText(0, 0, 160, 25, "Understood!", 0xffffffff, null, 18, "center")
				));
				

		}
        
        override public function update():void
        {
 
            super.update();
        }

		public function onClick():void
		{
			if (bClosing)
				return;
				
			FlxG.play(MenuState.Blip, 0.5);				
			bClosing = true;
			FlxG.fade(0xff000000, 1, nextScene, true);
		}
		
		public function nextScene():void 
		{
			FlxG.switchState(NameEntryState);
		}
    }
}